Debian Bug report logs - #624448
ITA: webkitkde -- KDE bindings for WebKit / WebKit KPart

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Axel Beckert <abe@debian.org>

Date: Thu, 28 Apr 2011 14:15:01 UTC

Owned by: Adrien Grellier <adrien.grellier@laposte.net>

Severity: normal

Fixed in version webkitkde/1.3~git20120518.9a111005-1

Done: Raúl Sánchez Siles <rasasi78@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, abe@debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#624448; Package wnpp. (Thu, 28 Apr 2011 14:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
New Bug report received and forwarded. Copy sent to abe@debian.org, debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 28 Apr 2011 14:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: webkitkde -- KDE bindings for WebKit / WebKit KPart
Date: Thu, 28 Apr 2011 16:13:36 +0200
Package: wnpp
Severity: normal

Adrian von Bidder, the maintainer of the webkitkde package unfortunately
died on 17th of April 2011 [1].

  [1] http://www.debian.org/News/2011/20110423

Therefore, I orphan this package now.  If you want to be the new
maintainer, please take it.

See http://www.debian.org/devel/wnpp/#howto-o for detailed instructions
how to adopt a package properly.

Some information about the package:

Package: webkitkde
Binary: kpart-webkit, libkwebkit1, libkwebkit-dev, libkwebkit-dbg
Version: 0.9.6svn1187649-1
Priority: optional
Section: web
Maintainer: Adrian von Bidder <cmot@debian.org>
Build-Depends: cmake, debhelper (>= 7), kdelibs5-dev (>= 4:4.4), pkg-kde-tools
Architecture: any
Standards-Version: 3.9.1
Format: 3.0 (quilt)
Homepage: http://techbase.kde.org/Projects/WebKit
Vcs-Browser: https://fortytwo.ch/hg/pkg-webkitkde
Vcs-Hg: https://fortytwo.ch/hg/pkg-webkitkde

Package: kpart-webkit
Priority: optional
Section: web
Installed-Size: 192
Architecture: i386
Source: webkitkde
Version: 0.9.6svn1180498-2
Depends: libc6 (>= 2.1.3), libkdecore5 (>= 4:4.4.0), libkdeui5 (>= 4:4.4), libkparts4 (>= 4:4.4), libkwebkit1 (= 0.9.6svn1180498-2), libqtcore4 (>= 4:4.7.0~beta1), libstdc++6 (>= 4.1.1)
Size: 50108
Description: WebKit KPart
 A Plug-In for the Konqueror web browser and other KDE applications allowing
 the WebKit HTML renderer to be used instead of the traditional KHTML.
Homepage: http://techbase.kde.org/Projects/WebKit
Tag: role::plugin

Package: libkwebkit-dbg
Priority: extra
Section: debug
Installed-Size: 184
Architecture: i386
Source: webkitkde
Version: 0.9.6svn1180498-2
Depends: libkwebkit1 (= 0.9.6svn1180498-2), kdelibs5-dbg, libqt4-webkit-dbg
Size: 40810
Description: KDE bindings for WebKit, Development files
 KDEWebKit provides the necessary glue code to use the WebKit HTML rendering
 engine in KDE applications.
 .
 This package contains the debugging symbols needed for software development.
Homepage: http://techbase.kde.org/Projects/WebKit
Tag: role::debug-symbols

Package: libkwebkit-dev
Priority: optional
Section: libdevel
Installed-Size: 76
Architecture: i386
Source: webkitkde
Version: 0.9.6svn1180498-2
Depends: libkwebkit1 (= 0.9.6svn1180498-2), kdelibs5-dev
Size: 6990
Description: KDE bindings for WebKit, Development files
 KDEWebKit provides the necessary glue code to use the WebKit HTML rendering
 engine in KDE applications.
 .
 This package contains the header files needed for software development.
Homepage: http://techbase.kde.org/Projects/WebKit
Tag: devel::library, role::devel-lib

Package: libkwebkit1
Priority: optional
Section: libs
Installed-Size: 324
Architecture: i386
Source: webkitkde
Version: 0.9.6svn1180498-2
Depends: libc6 (>= 2.1.3), libkdecore5 (>= 4:4.4.0), libkdeui5 (>= 4:4.4), libkdewebkit5 (>= 4:4.4.0), libkio5 (>= 4:4.4.0), libkparts4 (>= 4:4.4), libqt4-dbus (>= 4:4.5.3), libqt4-network (>= 4:4.6.1), libqtcore4 (>= 4:4.7.0~beta1), libqtgui4 (>= 4:4.5.3), libqtwebkit4, libstdc++6 (>= 4.1.1)
Size: 102390
Description: KDE bindings for WebKit
 KDEWebKit provides the necessary glue code to use the WebKit HTML rendering
 engine in KDE applications.
Homepage: http://techbase.kde.org/Projects/WebKit
Tag: role::shared-lib




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#624448; Package wnpp. (Thu, 02 Feb 2012 17:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrien Grellier <adrien.grellier@laposte.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 02 Feb 2012 17:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 624448@bugs.debian.org (full text, mbox):

From: Adrien Grellier <adrien.grellier@laposte.net>
To: 624448@bugs.debian.org
Subject: adoption of webkitkde
Date: Thu, 2 Feb 2012 18:02:50 +0100
Hi,

As no one is taking care of this package, and as I am using it, I would like to adopt it.

I am not a Debian developper or maintainer.

Adrien Grellier




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#624448; Package wnpp. (Tue, 15 May 2012 19:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrien <adrien.grellier@laposte.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 15 May 2012 19:03:06 GMT) Full text and rfc822 format available.

Message #15 received at 624448@bugs.debian.org (full text, mbox):

From: Adrien <adrien.grellier@laposte.net>
To: 624448@bugs.debian.org
Subject: RFP: webkitkde -- KDE bindings for WebKit / WebKit KPart
Date: Tue, 15 May 2012 21:01:41 +0200
Hi,

I am preparing an upload for this package. As I am not Debian Maintainer, the package will be on mentors.debian.net :

http://mentors.debian.net/package/webkitkde

You can follow the developpment here :
http://adrieng.homeip.net/cgi-bin/hgweb.cgi/webkitkde/

The package is updated to the latest stable version of kpart-webkit (1.2), correct the lintian warnings, and close a few bugs, especially #667414 ftbfs with GCC-4.7


If anyone would like to upload it in Debian, feel free to contact me.

Cheers,

Adrien Grellier 
<adrien.grellier@laposte.net>




Changed Bug title to 'ITA: webkitkde -- KDE bindings for WebKit / WebKit KPart' from 'O: webkitkde -- KDE bindings for WebKit / WebKit KPart' Request was from Adrien Grellier <adrien.grellier@laposte.net> to control@bugs.debian.org. (Wed, 16 May 2012 18:27:03 GMT) Full text and rfc822 format available.

Owner recorded as Adrien Grellier <adrien.grellier@laposte.net>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Wed, 06 Jun 2012 18:00:14 GMT) Full text and rfc822 format available.

Reply sent to Raúl Sánchez Siles <rasasi78@gmail.com>:
You have taken responsibility. (Thu, 28 Jun 2012 16:06:46 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Thu, 28 Jun 2012 16:06:47 GMT) Full text and rfc822 format available.

Message #24 received at 624448-close@bugs.debian.org (full text, mbox):

From: Raúl Sánchez Siles <rasasi78@gmail.com>
To: 624448-close@bugs.debian.org
Subject: Bug#624448: fixed in webkitkde 1.3~git20120518.9a111005-1
Date: Thu, 28 Jun 2012 16:04:22 +0000
Source: webkitkde
Source-Version: 1.3~git20120518.9a111005-1

We believe that the bug you reported is fixed in the latest version of
webkitkde, which is due to be installed in the Debian FTP archive:

kpart-webkit-dbg_1.3~git20120518.9a111005-1_amd64.deb
  to main/w/webkitkde/kpart-webkit-dbg_1.3~git20120518.9a111005-1_amd64.deb
kpart-webkit_1.3~git20120518.9a111005-1_amd64.deb
  to main/w/webkitkde/kpart-webkit_1.3~git20120518.9a111005-1_amd64.deb
webkitkde_1.3~git20120518.9a111005-1.debian.tar.gz
  to main/w/webkitkde/webkitkde_1.3~git20120518.9a111005-1.debian.tar.gz
webkitkde_1.3~git20120518.9a111005-1.dsc
  to main/w/webkitkde/webkitkde_1.3~git20120518.9a111005-1.dsc
webkitkde_1.3~git20120518.9a111005.orig.tar.bz2
  to main/w/webkitkde/webkitkde_1.3~git20120518.9a111005.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624448@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raúl Sánchez Siles <rasasi78@gmail.com> (supplier of updated webkitkde package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Jun 2012 20:46:02 +0200
Source: webkitkde
Binary: kpart-webkit kpart-webkit-dbg
Architecture: source amd64
Version: 1.3~git20120518.9a111005-1
Distribution: unstable
Urgency: low
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Changed-By: Raúl Sánchez Siles <rasasi78@gmail.com>
Description: 
 kpart-webkit - WebKit KPart
 kpart-webkit-dbg - WebKit KPart - debugging symbols
Closes: 624448 629986
Changes: 
 webkitkde (1.3~git20120518.9a111005-1) unstable; urgency=low
 .
   [ Adrien Grellier ]
   * New Maintainer (Closes: #624448)
   * Correct lintian warnings
   * build with hardening flags
   * Update copyright file.
 .
   [ Raúl Sánchez Siles ]
   * New upstream pre 1.3.
     - Fix "konqueror with webkit and rekonq both crashes in acid3 test at
       about 73/100" (Closes: #629986)
   * Update packaging to debhelper8.
   * Provide debug package.
   * Setting Debian KDE Extras Team as maintainer and adding Adrien and myself
   as uploaders. Thanks Adrian!
   * Update homepage.
   * Improved package description as per Michael Meskes suggestion.
   * Replacing obsolete libkwebkit packages.
 .
   [ Adrian von Bidder ]
   * Drop library package, there's only the kpart anymore;
     conflict with the old libkwebkit-dev (FindKWebKitPart.cmake)
Checksums-Sha1: 
 f4f8d1b1e38b595872081283c8ede5a60c7a77ab 1635 webkitkde_1.3~git20120518.9a111005-1.dsc
 9930993b66a6cb29ec8cb89a97b478a332417f60 104863 webkitkde_1.3~git20120518.9a111005.orig.tar.bz2
 cd2a5d2846a9083f18c787b8de138d35d3f13a9a 5337 webkitkde_1.3~git20120518.9a111005-1.debian.tar.gz
 bdca9a5ed3d00a493f71edc9b512fe5ac15ac60e 176108 kpart-webkit_1.3~git20120518.9a111005-1_amd64.deb
 9409368d24b87e784c2d66ddd88f0ca4c6ff6120 1417662 kpart-webkit-dbg_1.3~git20120518.9a111005-1_amd64.deb
Checksums-Sha256: 
 89f9b62a659017999e870bcd487070280d4faea9d97f47f77a57760f213a6bf6 1635 webkitkde_1.3~git20120518.9a111005-1.dsc
 c74037dd786d9911ef4bd91c561ffa282dbd0582bbff4621d85bece75cc22ee5 104863 webkitkde_1.3~git20120518.9a111005.orig.tar.bz2
 7c2130cb9ce11f9ed19a7cdf65f8fa4a8b4065c25005b06e3a0b1546026e0c1b 5337 webkitkde_1.3~git20120518.9a111005-1.debian.tar.gz
 e214b4d6e6f082800151a0ad3b88a263b1d60b5c18b3d68b016cf37508e26ee7 176108 kpart-webkit_1.3~git20120518.9a111005-1_amd64.deb
 2828e6865dfb9ad7bad3d3758be847d3392d2274a015bc0fe73a1c65b2d4a3c3 1417662 kpart-webkit-dbg_1.3~git20120518.9a111005-1_amd64.deb
Files: 
 8ee5d1c8dbd2ff9826a28308c75d1ae7 1635 web optional webkitkde_1.3~git20120518.9a111005-1.dsc
 c33f135c4859e1f6aa9f04a058bc9f0c 104863 web optional webkitkde_1.3~git20120518.9a111005.orig.tar.bz2
 dbe562980101b984019849e953081c8b 5337 web optional webkitkde_1.3~git20120518.9a111005-1.debian.tar.gz
 3bd9806dadc00aaacca9d1ca5424cb24 176108 web optional kpart-webkit_1.3~git20120518.9a111005-1_amd64.deb
 4e1bc89f3035f4bb3b2fb6d02f7bde41 1417662 debug extra kpart-webkit-dbg_1.3~git20120518.9a111005-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFP7DaxVkEm8inxm9ERAsEgAJ9HZxm42RN5OrBQAajecLl5+16BQACeODGp
vHcyxzzcgo1aRRHguN/dHPw=
=NFRg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 27 Jul 2012 07:29:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:10:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.